{% extends "base_browser.html" %}
{% load static %}

{% block css %}
  {{ block.super }}
  <link rel="stylesheet" href={% static "css/project_browser.css" %} />
{% endblock %}

{% block nav %}
{% include "parts/nav.html" with active_tab="browser" %}
{% endblock %}

{% block title %} Browser {% endblock %}

{% block jumbotron %}
<h1>Browser</h1>
<p>Browse information from metabarcoding project.</p>
{% endblock %}

{% block breadcrumb %}
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="{% url 'metabaseBrowser:browser' %}">Project list</a></li>
    <li class="breadcrumb-item active"><a href="#">{{project.name}}</a></li>
  </ol>
{% endblock %}

{% block content %}
{% csrf_token %}
<nav>
  <div class="nav nav-tabs" id="nav-tab" role="tablist">
    <a class="nav-item nav-link active" id="nav-project-info-tab" data-toggle="tab" href="#project-information" role="tab" aria-controls="project-information" aria-selected="true">Project informations</a>
    <a class="nav-item nav-link" id="nav-project-tree-view-tab" data-toggle="tab" href="#project-tree-view" role="tab" aria-controls="project-tree-view" aria-selected="false">Project tree view</a>
    <a class="nav-item nav-link" id="nav-samples-list-tab" data-toggle="tab" href="#samples-list" role="tab" aria-controls="samples-list" aria-selected="false">Samples list</a>
  </div>
</nav>
<div class="tab-content" id="nav-tabContent">
  <div class="tab-pane fade show active" id="project-information" role="tabpanel" aria-labelledby="nav-project-info-tab">
    {%include "parts/project_description.html" %}
  </div>
  <div class="tab-pane fade" id="project-tree-view" role="tabpanel" aria-labelledby="nav-project-tree-view-tab">
  </div>
  <div class="tab-pane fade" id="samples-list" role="tabpanel" aria-labelledby="nav-samples-list-tab">
  </div>

{% endblock %}
{% block script %}
  {{ block.super }}
  <script>var projectId = {{project.id}};</script>
  <script src={% static "js/browser_project_information.js" %}></script>
  <script src={% static "d3/d3.min.js" %}></script>
  <script src={% static "d3/d3-tip.js" %}></script>
  <script src={% static "js/plate.js" %}></script>
  <script src={% static "js/tree_view.js" %}></script>
  <script src={% static "js/browser_samples_tab.js" %}></script>
  <script src={% static "js/browser_tree_view.js" %}></script>
  <script>
  </script>
{% endblock %}
